# MatGetOptionsPrefix

Sets the prefix used for searching for all Mat options in the database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetOptionsPrefix(Mat A,const char *prefix[])

Not Collective

### Input Parameter

A -the Mat context

### Output Parameter

prefix -pointer to the prefix string used

Notes: On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### Keywords

Mat, get, options, prefix, database

### See Also

MatAppendOptionsPrefix()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages